Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.actions
Class WorkspaceImplSoapUIActionGroup

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup<T>
          com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup<WorkspaceImpl>
              com.eviware.soapui.impl.actions.WorkspaceImplSoapUIActionGroup

All Implemented Interfaces:
  SoapUIActionGroup<WorkspaceImpl>

    public class WorkspaceImplSoapUIActionGroup

extends DefaultSoapUIActionGroup<WorkspaceImpl>

SoapUIActionGroup for WsdlProjects, returns different actions depending on if the project is disabled or not.

Author:
  ole.matzura

Field Summary

Fields inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`id, name`

Constructor Summary
`WorkspaceImplSoapUIActionGroup(java.lang.String id, java.lang.String name)`

Method Summary
`SoapUIActionMappingList<WorkspaceImpl>` | `getActionMappings(WorkspaceImpl workspace)`

Methods inherited from class com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup
`addMapping, addMapping, getMappingIndex`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`getId, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkspaceImplSoapUIActionGroup

    public WorkspaceImplSoapUIActionGroup(java.lang.String id,
                                          java.lang.String name)

Method Detail

### getActionMappings

    public SoapUIActionMappingList<WorkspaceImpl> getActionMappings(WorkspaceImpl workspace)

  Specified by:
    `getActionMappings` in interface `SoapUIActionGroup<WorkspaceImpl>`
  Overrides:
    `getActionMappings` in class `DefaultSoapUIActionGroup<WorkspaceImpl>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.